@import "../Variables";

.hamburger__wrapper {
  z-index: 110;
  position: relative;

  &:focus{
    outline: none;
  }

  .hamburger {
    padding: 10px;
    display: inline-block;
    cursor: pointer;
    background-color: transparent;
    border: 0;
    margin: 0;

    transition: transform .3s .1s ease-in-out;

    &:focus{
      outline: none;
    }
  }

  .hamburger, .navigation {
    transition: transform .3s .1s ease-in-out;
  }

  .hamburger__box {
    width: 30px;
    height: 24px;
    display: inline-block;
    position: relative;
    cursor: pointer;
  }

  @mixin hamburger-line {
    width: 100%;
    height: 3px;
    position: absolute;
  }

  @mixin hamburger-line-color($color: var(--clr-black)) {
    background-color: $color;
  }

  .hamburger__inner {
    @include hamburger-line;
    @include hamburger-line-color();

    left: 0;
    top: 50%;
    transform: translateY(-50%);
    transition: background-color .3s ease-in-out;
    cursor: pointer;
  }

  .hamburger__inner::before,
  .hamburger__inner::after {
    @include hamburger-line;
    @include hamburger-line-color();

    content: '';
    left: 0;
    transition: transform .3s ease-in-out;
    cursor: pointer;
  }

  .hamburger__inner::before {
    top: -10px;
  }

  .hamburger__inner::after {
    top: 10px;
  }

  .hamburger--active .hamburger__inner {
    @include hamburger-line-color($color: var(--clr-light));
    background-color: transparent;
  }

  .hamburger--active .hamburger__inner:before {
    @include hamburger-line-color($color: var(--clr-light));
    transform: translateY(10px) rotate(45deg);
  }

  .hamburger--active .hamburger__inner:after {
    @include hamburger-line-color($color: var(--clr-light));
    transform: translateY(-10px) rotate(-45deg);
  }
}
